Skip to content

Create a content snippet

Request

You can create a new content snippet.

Security
bearerAuth
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.16"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.16
Bodyapplication/jsonrequired
titlestring, <= 255 charactersrequired

The title of the content snippet.

Example:"How to reset your password"
json_blocksArray of objects

The content blocks that make up the body of the snippet. Mutually exclusive with body_markdown.

Example:
[ { "type": "paragraph", "text": "Navigate to Settings > Security > Reset password." } ]
body_markdownstring

The content of the snippet in markdown. An alternative to json_blocks — you can provide content as markdown instead of structured blocks. Mutually exclusive with json_blocks.

Example:"# Hello\n\nSome content.\n"
localestring

The locale of the content snippet. Defaults to en.

Default:"en"
Example:"en"
audience_idsArray of integers or null

The list of audience IDs to target this content snippet to for Fin AI Agent. Pass an empty array or omit the field for no audience targeting. Unknown audience IDs return a 404 error with no partial commit.

Example:
[ 1, 2 ]
ai_chatbot_availabilityboolean

Whether the content snippet should be available for AI Chatbot (Fin). Defaults to false.

Default:false
Example:true
ai_copilot_availabilityboolean

Whether the content snippet should be available for AI Copilot. Defaults to false.

Default:false
Example:true
ai_sales_agent_availabilityboolean

Whether the content snippet should be available for AI Sales Agent. Defaults to false.

Default:false
Example:true
curl -i -X POST \
  https://api.intercom.io/content_snippets \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Intercom-Version: 2.16' \
  -d '{
    "title": "How to reset your password",
    "json_blocks": [
      {
        "type": "paragraph",
        "text": "Navigate to Settings > Security > Reset password."
      }
    ],
    "locale": "en",
    "audience_ids": [
      1,
      2
    ]
  }'

Responses

Content snippet created

Bodyapplication/json
typestring

String representing the object's type. Always has the value content_snippet.

Example:"content_snippet"
idstring

The unique identifier for the content snippet.

Example:"123"
titlestring or null

The title of the content snippet.

Example:"How to reset your password"
localestring

The locale of the content snippet.

Example:"en"
json_blocksArray of objects

The content blocks that make up the body of the snippet.

Example:
[ { "type": "paragraph", "text": "Navigate to Settings > Security > Reset password." } ]
body_markdownstring or null

The body of the content snippet in markdown.

Example:"# How to reset your password\n\nNavigate to Settings > Security > Reset password.\n"
ai_chatbot_availabilityboolean

Whether the content snippet is available for AI Chatbot (Fin).

Example:true
ai_copilot_availabilityboolean

Whether the content snippet is available for AI Copilot.

Example:true
ai_sales_agent_availabilityboolean

Whether the content snippet is available for AI Sales Agent.

Example:true
created_atinteger

The time the snippet was created as a UNIX timestamp.

Example:1663597223
updated_atinteger

The time the snippet was last updated as a UNIX timestamp.

Example:1663597223
audience_idsArray of integers or null

The list of audience IDs this content snippet is targeted to for Fin AI Agent. Empty array means no audience targeting is set.

Example:
[ 1, 2 ]
chatbot_availabilityintegerdeprecated

Deprecated. Use ai_chatbot_availability instead. Whether this snippet is available for Fin (1 = on, 0 = off).

Example:1
copilot_availabilityintegerdeprecated

Deprecated. Use ai_copilot_availability instead. Whether this snippet is available for Copilot (1 = on, 0 = off).

Example:1
Response
{ "type": "content_snippet", "id": "456", "title": "How to reset your password", "locale": "en", "json_blocks": [ {} ], "body_markdown": "# How to reset your password\n\nNavigate to Settings > Security > Reset password.\n", "chatbot_availability": 1, "copilot_availability": 1, "ai_chatbot_availability": true, "ai_copilot_availability": true, "ai_sales_agent_availability": true, "created_at": 1663597223, "updated_at": 1663597223, "audience_ids": [ 1, 2 ] }